Package org.jfree.report

## Class TableReportDataFactory

- java.lang.Object
- - org.jfree.report.TableReportDataFactory

- All Implemented Interfaces:
    `java.lang.Cloneable`, `ReportDataFactory`

      public class TableReportDataFactory
      extends java.lang.Object
      implements ReportDataFactory, java.lang.Cloneable

  Creation-Date: 21.02.2006, 17:59:32
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableReportDataFactory()` |
    `TableReportDataFactory​(java.lang.String name, javax.swing.table.TableModel tableModel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTable​(java.lang.String name, javax.swing.table.TableModel tableModel)` |
    `java.lang.Object` | `clone()` |
    `void` | `close()` | Closes the report data factory and all report data instances that have been returned by this instance.
    `ReportDataFactory` | `derive()` | Derives a freshly initialized report data factory, which is independend of the original data factory.
    `void` | `open()` |
    `ReportData` | `queryData​(java.lang.String query, DataSet parameters)` | Queries a datasource.
    `void` | `removeTable​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReportDataFactory

          public TableReportDataFactory()

    - #### TableReportDataFactory

          public TableReportDataFactory​(java.lang.String name,
                                        javax.swing.table.TableModel tableModel)

  - ### Method Detail

    - #### addTable

          public void addTable​(java.lang.String name,
                               javax.swing.table.TableModel tableModel)

    - #### removeTable

          public void removeTable​(java.lang.String name)

    - #### queryData

          public ReportData queryData​(java.lang.String query,
                                      DataSet parameters)
                               throws ReportDataFactoryException

      Queries a datasource. The string 'query' defines the name of the query. The Parameterset given here may contain more data than actually needed.

      The dataset may change between two calls, do not assume anything!
      Specified by:
        `queryData` in interface `ReportDataFactory`
      Parameters:
        `query` - the name of the table.
        `parameters` - are ignored for this factory.
      Returns:
        the report data or null.
      Throws:
        `ReportDataFactoryException`

    - #### open

          public void open()

      Specified by:
        `open` in interface `ReportDataFactory`

    - #### close

          public void close()

      Description copied from interface: `ReportDataFactory`
      Closes the report data factory and all report data instances that have been returned by this instance.
      Specified by:
        `close` in interface `ReportDataFactory`

    - #### derive

          public ReportDataFactory derive()

      Derives a freshly initialized report data factory, which is independend of the original data factory. Opening or Closing one data factory must not affect the other factories.
      Specified by:
        `derive` in interface `ReportDataFactory`
      Returns:

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`